Summary: MUCS dotfiles package
Name: CsDotfiles
Version: 090909
Source: CsDotfiles-%{version}.tar.gz
Release: 2
Copyright: distributable
Group: User Interface/Desktops
URL: http://www.cs.man.ac.uk/~jtl/ALU
Packager: John Latham <jtl@cs.man.ac.uk>
Vendor: John Latham, M.U.C.S.
Requires: AnotherLevelUp >= 001031
BuildArchitectures: noarch
BuildRoot: /var/tmp/CsDotfiles-root

%description
CsDotfiles contains a user dotfile setup for bash users which is a Linux-only
version of the default setup in the Department of Computer Science, at the
Victoria University of Manchester.

In addition to the dotfiles, the package provides the script

	/usr/local/bin/copybashdotfiles

which users can run to (re)copy the required dotfiles into their user account.

It also contains the script

	/usr/local/bin/switchdesk

which is called upon login to enable the user to choose a desktop. The user
can invoke this script at any other time too.

The package assumes that AnotherLevelUp has been installed (to replace Red
Hat's AnotherLevel if that was installed previously).

The package additionally contains the netscape wrapper used at MUCS to help
protect against lock files being left by netscape. This is installed as
/usr/local/bin/netscape, with symbolic links from
/usr/local/bin/netscape-navigator and /usr/local/bin/netscape-communicator.

%prep
%setup -c -q

%build
echo "No build necessary"

%install
mkdir -p $RPM_BUILD_ROOT
cp -a * $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/local/bin/*
/usr/local/etc/*

%clean
rm -rf $RPM_BUILD_ROOT
echo $RPM_BUILD_DIR/$RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION

%changelog
